Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.binding
[Groovy] Class DataBindingEventMulticastListener

    java.lang.Object
      org.codehaus.groovy.grails.web.binding.DataBindingEventMulticastListener

All Implemented Interfaces:
  DataBindingListener

    @groovy.transform.CompileStatic
    @groovy.util.logging.Commons
    class DataBindingEventMulticastListener
    extends java.lang.Object

Field Summary
`protected java.util.List` | `listeners`

Constructor Summary
`DataBindingEventMulticastListener(java.util.List listeners)`

Method Summary
`void` | `afterBinding(java.lang.Object obj, java.lang.String propertyName, java.lang.Object errors)`
`void` | `afterBinding(java.lang.Object target, java.lang.Object errors)`
`java.lang.Boolean` | `beforeBinding(java.lang.Object target, java.lang.Object errors)`
`java.lang.Boolean` | `beforeBinding(java.lang.Object obj, java.lang.String propertyName, java.lang.Object value, java.lang.Object errors)`
`void` | `bindingError(BindingError error, java.lang.Object errors)`
`boolean` | `supports(java.lang.Class clazz)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### listeners

    protected final java.util.List listeners

Constructor Detail

### DataBindingEventMulticastListener

    DataBindingEventMulticastListener(java.util.List listeners)

Method Detail

### afterBinding

    @java.lang.Override
    void afterBinding(java.lang.Object obj, java.lang.String propertyName, java.lang.Object errors)

### afterBinding

    @java.lang.Override
    void afterBinding(java.lang.Object target, java.lang.Object errors)

### beforeBinding

    java.lang.Boolean beforeBinding(java.lang.Object target, java.lang.Object errors)

### beforeBinding

    @java.lang.Override
    java.lang.Boolean beforeBinding(java.lang.Object obj, java.lang.String propertyName, java.lang.Object value, java.lang.Object errors)

### bindingError

    @java.lang.Override
    void bindingError(BindingError error, java.lang.Object errors)

### supports

    boolean supports(java.lang.Class clazz)

Groovy Documentation